軟體安裝如何安裝 Gnome Builder IDE?

分享于 

5分钟阅读

ubuntu

  简体

問題:


回答 1:

終端:

為了安裝它,你需要添加 gnome3gnome3-staging PPAs ( 你需要在終端中運行這些命令,啟動終端媒體): CTRL + ALT + T ):


sudo apt-add-repository ppa:gnome3-team/gnome3-staging


sudo apt-add-repository ppa:gnome3-team/gnome3


sudo apt-get update



然後運行( 避免問題):


sudo apt-get dist-upgrade



最後要安裝軟體包 gnome-builder,你需要運行( 儘管你可能希望在升級系統后使用前面的命令重新啟動系統):


sudo apt-get install gnome-builder



因為 gnome-builder 只在 GNOME shell 3.16和上版本中可用,因此,如果在存儲庫中打包它是目前沒有的,只有當你獲得這些數據時才會出現。

為了完成這項工作,你需要在 Ubuntu GNOME 15.10上,因為它將升級到你系統的下一個穩定的GNOME版本,是 GNOME shell 3.18.

GUI:

如果你希望使用圖形用戶界面而不是終端,請在 Activities Overview 中搜索 Software & Updates:

enter image description here

然後轉到 Other Software 選項卡:

enter image description here

單擊添加。:

enter image description here

然後輸入 deb http://ppa.launchpad.net/gnome3-team/gnome3/ubuntu wily main 按添加源,在提示時輸入密碼,然後單擊添加。 ,for並且做同樣的事情 deb http://ppa.launchpad.net/gnome3-team/gnome3-staging/ubuntu wily main :

enter image description here

然後關閉 Software & Updates 窗口,它會詢問你是否要重新載入源或者類似的內容。 之後,你將需要通過啟動 Software Updater 來升級你的系統:

enter image description here

並且更新它告訴你升級的所有軟體包都可以。

完成後,你可能需要重新啟動系統。 然後你就可以在Ubuntu軟體中心找到 gnome-builder 了:

enter image description here

通過搜索,然後單擊 Install 按鈕,如果提示輸入密碼,則可以進行安裝:

enter image description here


回答 2:

Gnome Builder應用於 3.16 +。 但是由於 Ubuntu Gnome的打包方式,目前無法從檔案庫獲得它,而且目前唯一可用的構建似乎是 Gnome Builder 3.18,因為目前的版本似乎失敗了:

enter image description here

你可以為Ubuntu獲取軟體包,但至少現在你需要使用 Wily 15.10和如果是工作,這應該在 15.04上工作。 要添加 PPAs:


sudo add-apt-repository ppa:gnome3-team/gnome3-staging


sudo add-apt-repository ppa:gnome3-team/gnome3


sudo apt-get update



注意如果你嘗試安裝 just,它可能會安裝 GNOME 3.18 ( 在 15.10上)的其他方面,它通常是穩定的,但不是主流,也可以破壞默認的Unity桌面。 在安裝GNOME時,它也可以更好地升級:


sudo apt-get install gnome-shell gnome-session gnome-builder



從PPA頁面:

  • 你需要運行'sudo apt-get dist-upgrade'來避免問題。 輸入'y'之前請閱讀輸出以確保重要軟體包不會被刪除。

你也應該能夠安裝其他Gnome應用程序。 請注意,並非所有的都可能在 3.18版。

還有其他獲取新軟體包的方法- 你可以嘗試從源代碼構建 3.16版本的構建器。 如果可能,你可能需要修改它,如果你檢查了當前構建,那麼可能會發現錯誤並對它進行修補。 還有其他PPAs可以使用( 示例 )。


回答 3:

使用 gnome的JHBuild #1

首先下載並安裝 JHBuild


sudo apt-get install apt-file docbook-xsl build-essential git-core gettext


sudo apt-file update



git clone git://git.gnome.org/jhbuild.git


cd jhbuild


./autogen.sh --simple-install


make


make install



然後構建並編譯gnome構建器,以及它的所有最新依賴項:


jhbuild build gnome-builder


jhbuild run gnome-builder



這裡的優點是你不需要處理任何外部 PPAs。 所有需要的模塊都在沙箱環境中構建。

從源 #2 編譯

下載並提取 source.tar.gz 文件

./configure 來查找丟失的依賴項

你應該手動解析並安裝所有必需的依賴項,然後才能編譯。

然後運行 make 來編譯

然後 sudo checkinstall

當使用checkinstall時,你可以通過運行 sudo dpkg -r gnome-builder



构建  IDE  Builder  Gnome  
相关文章